> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints

> Returns a paginated list of webhook endpoints.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml get /webhookEndpoints
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /webhookEndpoints:
    get:
      tags:
        - Webhook Endpoints
      summary: List webhook endpoints
      description: Returns a paginated list of webhook endpoints.
      operationId: webhook_endpoint-list
      parameters:
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/includeTotal'
      responses:
        '200':
          description: Successfully retrieved a paginated list of objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookEndpointPage'
components:
  parameters:
    page:
      name: page
      in: query
      description: Page number of the results to be returned, 1-based.
      required: false
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 100
        default: 1
    limit:
      name: limit
      in: query
      description: >-
        A limit on the number of results to be returned, or number of results
        per page, between 1 and 100, defaults to 10.
      required: false
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 100
        default: 10
    includeTotal:
      name: includeTotal
      in: query
      description: >-
        Return results inside an object that contains the total result count or
        not.
      required: false
      schema:
        type: boolean
        default: false
  schemas:
    WebhookEndpointPage:
      type: object
      description: Represents a given page of webhook endpoints.
      allOf:
        - $ref: '#/components/schemas/Page'
      properties:
        items:
          description: An array containing webhook endpoint objects.
          type: array
          items:
            $ref: '#/components/schemas/WebhookEndpoint'
    Page:
      type: object
      description: Represents a given page of items.
      required:
        - offset
        - limit
        - length
      properties:
        offset:
          description: >-
            The position of the item this page starts from, zero-based. e.g.,
            the 11th item is at offset 10.
          type: integer
          format: int32
          minimum: 0
        limit:
          description: >-
            A limit on the number of items to be returned, between 1 and 100,
            defaults to 10.
          type: integer
          format: int32
          minimum: 1
        length:
          description: The actual number of items in the page.
          type: integer
          format: int32
          minimum: 0
        total:
          description: >-
            The total number of items. This field is returned only when the
            request parameter `includeTotal` is set to `true`.
          type: integer
          format: int32
          minimum: 0
        items:
          type: array
          items:
            type: object
    WebhookEndpoint:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: Unique ID for the object.
          example: wh627c8640675de8fc689ab9d9
        url:
          type: string
          description: The URL of the webhook endpoint.
          example: https://httpbin.org/anything?tag=api
        enabledEvents:
          type: array
          description: The list of events to enable for this endpoint.
          example:
            - whatsapp.message.updated
            - whatsapp.inbound_message.received
          items:
            type: string
        eventProperties:
          type: array
          description: >-
            Optional configuration for event properties in webhook payloads.
            Specifies which properties should be included for specific event
            types.

            When `enabledEvents` contains `contact.attributes_changed`, this
            field is required and must contain at least one event property
            configuration for that event type.
          items:
            $ref: '#/components/schemas/EventProperty'
          example:
            - event: contact.attributes_changed
              properties:
                - attr1
                - attr2
        description:
          type: string
          description: An optional description of what the webhook is used for.
          example: My first webhook endpoint.
        status:
          $ref: '#/components/schemas/WebhookEndpointStatus'
        secret:
          type: string
          description: The endpoint's secret, used to generate webhook signatures.
          example: whsec_abc4147651944f02baf3be1eb45d33f1
        createTime:
          type: string
          format: date-time
          description: >-
            The time at which this object was created, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2022-06-01T12:00:00.000Z`.
          example: '2022-06-01T12:00:00.000Z'
        updateTime:
          type: string
          format: date-time
          description: >-
            The time at which this object was updated, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2022-06-01T12:00:00.000Z`.
          example: '2022-06-01T12:00:00.000Z'
    EventProperty:
      type: object
      description: >-
        Represents event property configuration for webhook endpoints.

        Specifies which properties should be included in the webhook payload for
        a specific event type.
      required:
        - event
        - properties
      properties:
        event:
          type: string
          description: >-
            The event type for which properties are configured.

            This field accepts any valid event type that supports property
            configuration.
          example: contact.attributes_changed
        properties:
          type: array
          description: >-
            A list of property names that should be included in the webhook
            payload for the specified event type.

            The available properties depend on the specific event type
            configured.
          items:
            type: string
          example:
            - attr1
            - attr2
          minItems: 1
    WebhookEndpointStatus:
      type: string
      description: >-
        Webhook endpoint status.

        - `active`: Indicates that the webhook endpoint is active, and will
        receive notifications of events monitored.

        - `disabled`: Indicates that the webhook endpoint is disabled, and will
        not receive notifications.

        - `pending`: Indicates that the webhook endpoint is pending, and will
        not receive notifications. If a webhook endpoint fails to receive
        notifications frequently, it changes to pending.
      enum:
        - active
        - disabled
        - pending
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.